- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# Rp_signed_encrypted_parts

## Typedefs
typedef struct rp_signed_encrypted_parts_t | rp_signed_encrypted_parts_t
## Functions
AXIS2_EXTERN rp_signed_encrypted_parts_t * | rp_signed_encrypted_parts_create (const axutil_env_t *env)
AXIS2_EXTERN void | rp_signed_encrypted_parts_free (rp_signed_encrypted_parts_t *signed_encrypted_parts, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | rp_signed_encrypted_parts_get_body (rp_signed_encrypted_parts_t *signed_encrypted_parts, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_signed_encrypted_parts_set_body (rp_signed_encrypted_parts_t *signed_encrypted_parts, const axutil_env_t *env, axis2_bool_t body)
AXIS2_EXTERN axis2_bool_t | rp_signed_encrypted_parts_get_signedparts (rp_signed_encrypted_parts_t *signed_encrypted_parts, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_signed_encrypted_parts_set_signedparts (rp_signed_encrypted_parts_t *signed_encrypted_parts, const axutil_env_t *env, axis2_bool_t signedparts)
AXIS2_EXTERN axis2_bool_t | rp_signed_encrypted_parts_get_attachments (rp_signed_encrypted_parts_t *signed_encrypted_parts, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_signed_encrypted_parts_set_attachments (rp_signed_encrypted_parts_t *signed_encrypted_parts, const axutil_env_t *env, axis2_bool_t attachments)
AXIS2_EXTERN axutil_array_list_t * | rp_signed_encrypted_parts_get_headers (rp_signed_encrypted_parts_t *signed_encrypted_parts, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_signed_encrypted_parts_add_header (rp_signed_encrypted_parts_t *signed_encrypted_parts, const axutil_env_t *env, rp_header_t *header)
AXIS2_EXTERN axis2_status_t | rp_signed_encrypted_parts_increment_ref (rp_signed_encrypted_parts_t *signed_encrypted_parts, const axutil_env_t *env)